The source code and dockerfile for the GSW2024 AI Lab.
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
This repo is archived. You can view files and clone it, but cannot push or open issues/pull-requests.

967 lines
31 KiB

4 weeks ago
  1. # Makefile.in generated by automake 1.14.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2013 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
  14. am__make_running_with_option = \
  15. case $${target_option-} in \
  16. ?) ;; \
  17. *) echo "am__make_running_with_option: internal error: invalid" \
  18. "target option '$${target_option-}' specified" >&2; \
  19. exit 1;; \
  20. esac; \
  21. has_opt=no; \
  22. sane_makeflags=$$MAKEFLAGS; \
  23. if $(am__is_gnu_make); then \
  24. sane_makeflags=$$MFLAGS; \
  25. else \
  26. case $$MAKEFLAGS in \
  27. *\\[\ \ ]*) \
  28. bs=\\; \
  29. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  30. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  31. esac; \
  32. fi; \
  33. skip_next=no; \
  34. strip_trailopt () \
  35. { \
  36. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  37. }; \
  38. for flg in $$sane_makeflags; do \
  39. test $$skip_next = yes && { skip_next=no; continue; }; \
  40. case $$flg in \
  41. *=*|--*) continue;; \
  42. -*I) strip_trailopt 'I'; skip_next=yes;; \
  43. -*I?*) strip_trailopt 'I';; \
  44. -*O) strip_trailopt 'O'; skip_next=yes;; \
  45. -*O?*) strip_trailopt 'O';; \
  46. -*l) strip_trailopt 'l'; skip_next=yes;; \
  47. -*l?*) strip_trailopt 'l';; \
  48. -[dEDm]) skip_next=yes;; \
  49. -[JT]) skip_next=yes;; \
  50. esac; \
  51. case $$flg in \
  52. *$$target_option*) has_opt=yes; break;; \
  53. esac; \
  54. done; \
  55. test $$has_opt = yes
  56. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  57. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  58. pkgdatadir = $(datadir)/@PACKAGE@
  59. pkgincludedir = $(includedir)/@PACKAGE@
  60. pkglibdir = $(libdir)/@PACKAGE@
  61. pkglibexecdir = $(libexecdir)/@PACKAGE@
  62. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  63. install_sh_DATA = $(install_sh) -c -m 644
  64. install_sh_PROGRAM = $(install_sh) -c
  65. install_sh_SCRIPT = $(install_sh) -c
  66. INSTALL_HEADER = $(INSTALL_DATA)
  67. transform = $(program_transform_name)
  68. NORMAL_INSTALL = :
  69. PRE_INSTALL = :
  70. POST_INSTALL = :
  71. NORMAL_UNINSTALL = :
  72. PRE_UNINSTALL = :
  73. POST_UNINSTALL = :
  74. build_triplet = @build@
  75. host_triplet = @host@
  76. check_PROGRAMS = dummy$(EXEEXT)
  77. subdir = tests
  78. DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
  79. $(top_srcdir)/depcomp $(top_srcdir)/test-driver
  80. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  81. am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
  82. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  83. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  84. $(top_srcdir)/configure.ac
  85. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  86. $(ACLOCAL_M4)
  87. mkinstalldirs = $(install_sh) -d
  88. CONFIG_HEADER = $(top_builddir)/config.h
  89. CONFIG_CLEAN_FILES =
  90. CONFIG_CLEAN_VPATH_FILES =
  91. am_dummy_OBJECTS = dummy.$(OBJEXT)
  92. dummy_OBJECTS = $(am_dummy_OBJECTS)
  93. dummy_LDADD = $(LDADD)
  94. dummy_DEPENDENCIES =
  95. AM_V_lt = $(am__v_lt_@AM_V@)
  96. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  97. am__v_lt_0 = --silent
  98. am__v_lt_1 =
  99. AM_V_P = $(am__v_P_@AM_V@)
  100. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  101. am__v_P_0 = false
  102. am__v_P_1 = :
  103. AM_V_GEN = $(am__v_GEN_@AM_V@)
  104. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  105. am__v_GEN_0 = @echo " GEN " $@;
  106. am__v_GEN_1 =
  107. AM_V_at = $(am__v_at_@AM_V@)
  108. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  109. am__v_at_0 = @
  110. am__v_at_1 =
  111. DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
  112. depcomp = $(SHELL) $(top_srcdir)/depcomp
  113. am__depfiles_maybe = depfiles
  114. am__mv = mv -f
  115. CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  116. $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
  117. LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
  118. $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
  119. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  120. $(AM_CXXFLAGS) $(CXXFLAGS)
  121. AM_V_CXX = $(am__v_CXX_@AM_V@)
  122. am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
  123. am__v_CXX_0 = @echo " CXX " $@;
  124. am__v_CXX_1 =
  125. CXXLD = $(CXX)
  126. CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
  127. $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
  128. $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  129. AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
  130. am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
  131. am__v_CXXLD_0 = @echo " CXXLD " $@;
  132. am__v_CXXLD_1 =
  133. SOURCES = $(dummy_SOURCES)
  134. DIST_SOURCES = $(dummy_SOURCES)
  135. am__can_run_installinfo = \
  136. case $$AM_UPDATE_INFO_DIR in \
  137. n|no|NO) false;; \
  138. *) (install-info --version) >/dev/null 2>&1;; \
  139. esac
  140. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  141. # Read a list of newline-separated strings from the standard input,
  142. # and print each of them once, without duplicates. Input order is
  143. # *not* preserved.
  144. am__uniquify_input = $(AWK) '\
  145. BEGIN { nonempty = 0; } \
  146. { items[$$0] = 1; nonempty = 1; } \
  147. END { if (nonempty) { for (i in items) print i; }; } \
  148. '
  149. # Make sure the list of sources is unique. This is necessary because,
  150. # e.g., the same source file might be shared among _SOURCES variables
  151. # for different programs/libraries.
  152. am__define_uniq_tagged_files = \
  153. list='$(am__tagged_files)'; \
  154. unique=`for i in $$list; do \
  155. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  156. done | $(am__uniquify_input)`
  157. ETAGS = etags
  158. CTAGS = ctags
  159. am__tty_colors_dummy = \
  160. mgn= red= grn= lgn= blu= brg= std=; \
  161. am__color_tests=no
  162. am__tty_colors = { \
  163. $(am__tty_colors_dummy); \
  164. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  165. am__color_tests=no; \
  166. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  167. am__color_tests=yes; \
  168. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  169. am__color_tests=yes; \
  170. fi; \
  171. if test $$am__color_tests = yes; then \
  172. red=''; \
  173. grn=''; \
  174. lgn=''; \
  175. blu=''; \
  176. mgn=''; \
  177. brg=''; \
  178. std=''; \
  179. fi; \
  180. }
  181. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  182. am__vpath_adj = case $$p in \
  183. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  184. *) f=$$p;; \
  185. esac;
  186. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  187. am__install_max = 40
  188. am__nobase_strip_setup = \
  189. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  190. am__nobase_strip = \
  191. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  192. am__nobase_list = $(am__nobase_strip_setup); \
  193. for p in $$list; do echo "$$p $$p"; done | \
  194. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  195. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  196. if (++n[$$2] == $(am__install_max)) \
  197. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  198. END { for (dir in files) print dir, files[dir] }'
  199. am__base_list = \
  200. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  201. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  202. am__uninstall_files_from_dir = { \
  203. test -z "$$files" \
  204. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  205. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  206. $(am__cd) "$$dir" && rm -f $$files; }; \
  207. }
  208. am__recheck_rx = ^[ ]*:recheck:[ ]*
  209. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  210. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  211. # A command that, given a newline-separated list of test names on the
  212. # standard input, print the name of the tests that are to be re-run
  213. # upon "make recheck".
  214. am__list_recheck_tests = $(AWK) '{ \
  215. recheck = 1; \
  216. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  217. { \
  218. if (rc < 0) \
  219. { \
  220. if ((getline line2 < ($$0 ".log")) < 0) \
  221. recheck = 0; \
  222. break; \
  223. } \
  224. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  225. { \
  226. recheck = 0; \
  227. break; \
  228. } \
  229. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  230. { \
  231. break; \
  232. } \
  233. }; \
  234. if (recheck) \
  235. print $$0; \
  236. close ($$0 ".trs"); \
  237. close ($$0 ".log"); \
  238. }'
  239. # A command that, given a newline-separated list of test names on the
  240. # standard input, create the global log from their .trs and .log files.
  241. am__create_global_log = $(AWK) ' \
  242. function fatal(msg) \
  243. { \
  244. print "fatal: making $@: " msg | "cat >&2"; \
  245. exit 1; \
  246. } \
  247. function rst_section(header) \
  248. { \
  249. print header; \
  250. len = length(header); \
  251. for (i = 1; i <= len; i = i + 1) \
  252. printf "="; \
  253. printf "\n\n"; \
  254. } \
  255. { \
  256. copy_in_global_log = 1; \
  257. global_test_result = "RUN"; \
  258. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  259. { \
  260. if (rc < 0) \
  261. fatal("failed to read from " $$0 ".trs"); \
  262. if (line ~ /$(am__global_test_result_rx)/) \
  263. { \
  264. sub("$(am__global_test_result_rx)", "", line); \
  265. sub("[ ]*$$", "", line); \
  266. global_test_result = line; \
  267. } \
  268. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  269. copy_in_global_log = 0; \
  270. }; \
  271. if (copy_in_global_log) \
  272. { \
  273. rst_section(global_test_result ": " $$0); \
  274. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  275. { \
  276. if (rc < 0) \
  277. fatal("failed to read from " $$0 ".log"); \
  278. print line; \
  279. }; \
  280. printf "\n"; \
  281. }; \
  282. close ($$0 ".trs"); \
  283. close ($$0 ".log"); \
  284. }'
  285. # Restructured Text title.
  286. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  287. # Solaris 10 'make', and several other traditional 'make' implementations,
  288. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  289. # by disabling -e (using the XSI extension "set +e") if it's set.
  290. am__sh_e_setup = case $$- in *e*) set +e;; esac
  291. # Default flags passed to test drivers.
  292. am__common_driver_flags = \
  293. --color-tests "$$am__color_tests" \
  294. --enable-hard-errors "$$am__enable_hard_errors" \
  295. --expect-failure "$$am__expect_failure"
  296. # To be inserted before the command running the test. Creates the
  297. # directory for the log if needed. Stores in $dir the directory
  298. # containing $f, in $tst the test, in $log the log. Executes the
  299. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  300. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  301. # will run the test scripts (or their associated LOG_COMPILER, if
  302. # thy have one).
  303. am__check_pre = \
  304. $(am__sh_e_setup); \
  305. $(am__vpath_adj_setup) $(am__vpath_adj) \
  306. $(am__tty_colors); \
  307. srcdir=$(srcdir); export srcdir; \
  308. case "$@" in \
  309. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  310. *) am__odir=.;; \
  311. esac; \
  312. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  313. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  314. if test -f "./$$f"; then dir=./; \
  315. elif test -f "$$f"; then dir=; \
  316. else dir="$(srcdir)/"; fi; \
  317. tst=$$dir$$f; log='$@'; \
  318. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  319. am__enable_hard_errors=no; \
  320. else \
  321. am__enable_hard_errors=yes; \
  322. fi; \
  323. case " $(XFAIL_TESTS) " in \
  324. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  325. am__expect_failure=yes;; \
  326. *) \
  327. am__expect_failure=no;; \
  328. esac; \
  329. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  330. # A shell command to get the names of the tests scripts with any registered
  331. # extension removed (i.e., equivalently, the names of the test logs, with
  332. # the '.log' extension removed). The result is saved in the shell variable
  333. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  334. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  335. # since that might cause problem with VPATH rewrites for suffix-less tests.
  336. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  337. am__set_TESTS_bases = \
  338. bases='$(TEST_LOGS)'; \
  339. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  340. bases=`echo $$bases`
  341. RECHECK_LOGS = $(TEST_LOGS)
  342. AM_RECURSIVE_TARGETS = check recheck
  343. TEST_SUITE_LOG = test-suite.log
  344. TEST_EXTENSIONS = @EXEEXT@ .test
  345. LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  346. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  347. am__set_b = \
  348. case '$@' in \
  349. */*) \
  350. case '$*' in \
  351. */*) b='$*';; \
  352. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  353. esac;; \
  354. *) \
  355. b='$*';; \
  356. esac
  357. am__test_logs1 = $(TESTS:=.log)
  358. am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  359. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  360. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  361. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  362. $(TEST_LOG_FLAGS)
  363. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  364. ACLOCAL = @ACLOCAL@
  365. AMTAR = @AMTAR@
  366. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  367. AR = @AR@
  368. AUTOCONF = @AUTOCONF@
  369. AUTOHEADER = @AUTOHEADER@
  370. AUTOMAKE = @AUTOMAKE@
  371. AWK = @AWK@
  372. BUILDDATE = @BUILDDATE@
  373. BUILDER = @BUILDER@
  374. CC = @CC@
  375. CCDEPMODE = @CCDEPMODE@
  376. CFLAGS = @CFLAGS@
  377. CONFIGURE_ARGS = @CONFIGURE_ARGS@
  378. CPP = @CPP@
  379. CPPFLAGS = @CPPFLAGS@
  380. CXX = @CXX@
  381. CXXCPP = @CXXCPP@
  382. CXXDEPMODE = @CXXDEPMODE@
  383. CXXFLAGS = @CXXFLAGS@
  384. CYGPATH_W = @CYGPATH_W@
  385. DEFS = @DEFS@
  386. DEPDIR = @DEPDIR@
  387. DLLTOOL = @DLLTOOL@
  388. DSYMUTIL = @DSYMUTIL@
  389. DUMPBIN = @DUMPBIN@
  390. ECHO_C = @ECHO_C@
  391. ECHO_N = @ECHO_N@
  392. ECHO_T = @ECHO_T@
  393. EGREP = @EGREP@
  394. EXEEXT = @EXEEXT@
  395. FGREP = @FGREP@
  396. GREP = @GREP@
  397. INSTALL = @INSTALL@
  398. INSTALL_DATA = @INSTALL_DATA@
  399. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  400. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  401. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  402. LD = @LD@
  403. LDFLAGS = @LDFLAGS@
  404. LIBOBJS = @LIBOBJS@
  405. LIBS = @LIBS@
  406. LIBTOOL = @LIBTOOL@
  407. LIBTOOL_DEPS = @LIBTOOL_DEPS@
  408. LIBTOOL_VERSION_INFO = @LIBTOOL_VERSION_INFO@
  409. LIPO = @LIPO@
  410. LN_S = @LN_S@
  411. LTLIBOBJS = @LTLIBOBJS@
  412. MAKEINFO = @MAKEINFO@
  413. MANIFEST_TOOL = @MANIFEST_TOOL@
  414. MKDIR_P = @MKDIR_P@
  415. NM = @NM@
  416. NMEDIT = @NMEDIT@
  417. OBJDUMP = @OBJDUMP@
  418. OBJEXT = @OBJEXT@
  419. OTOOL = @OTOOL@
  420. OTOOL64 = @OTOOL64@
  421. PACKAGE = @PACKAGE@
  422. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  423. PACKAGE_NAME = @PACKAGE_NAME@
  424. PACKAGE_STRING = @PACKAGE_STRING@
  425. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  426. PACKAGE_URL = @PACKAGE_URL@
  427. PACKAGE_VERSION = @PACKAGE_VERSION@
  428. PATH_SEPARATOR = @PATH_SEPARATOR@
  429. RANLIB = @RANLIB@
  430. SED = @SED@
  431. SET_MAKE = @SET_MAKE@
  432. SHELL = @SHELL@
  433. STRIP = @STRIP@
  434. SUPLDFLAGS = @SUPLDFLAGS@
  435. VERSION = @VERSION@
  436. abs_builddir = @abs_builddir@
  437. abs_srcdir = @abs_srcdir@
  438. abs_top_builddir = @abs_top_builddir@
  439. abs_top_srcdir = @abs_top_srcdir@
  440. ac_ct_AR = @ac_ct_AR@
  441. ac_ct_CC = @ac_ct_CC@
  442. ac_ct_CXX = @ac_ct_CXX@
  443. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  444. am__include = @am__include@
  445. am__leading_dot = @am__leading_dot@
  446. am__quote = @am__quote@
  447. am__tar = @am__tar@
  448. am__untar = @am__untar@
  449. bindir = @bindir@
  450. build = @build@
  451. build_alias = @build_alias@
  452. build_cpu = @build_cpu@
  453. build_os = @build_os@
  454. build_vendor = @build_vendor@
  455. builddir = @builddir@
  456. datadir = @datadir@
  457. datarootdir = @datarootdir@
  458. docdir = @docdir@
  459. dvidir = @dvidir@
  460. exec_prefix = @exec_prefix@
  461. host = @host@
  462. host_alias = @host_alias@
  463. host_cpu = @host_cpu@
  464. host_os = @host_os@
  465. host_vendor = @host_vendor@
  466. htmldir = @htmldir@
  467. includedir = @includedir@
  468. infodir = @infodir@
  469. install_sh = @install_sh@
  470. libdir = @libdir@
  471. libexecdir = @libexecdir@
  472. localedir = @localedir@
  473. localstatedir = @localstatedir@
  474. mandir = @mandir@
  475. mkdir_p = @mkdir_p@
  476. oldincludedir = @oldincludedir@
  477. pdfdir = @pdfdir@
  478. prefix = @prefix@
  479. program_transform_name = @program_transform_name@
  480. psdir = @psdir@
  481. sbindir = @sbindir@
  482. sharedstatedir = @sharedstatedir@
  483. srcdir = @srcdir@
  484. sysconfdir = @sysconfdir@
  485. target_alias = @target_alias@
  486. top_build_prefix = @top_build_prefix@
  487. top_builddir = @top_builddir@
  488. top_srcdir = @top_srcdir@
  489. dummy_SOURCES = dummy.cc
  490. INCLUDES = -I$(top_srcdir)/include -I../include
  491. LDADD = -lm @SUPLDFLAGS@
  492. TESTS = make_gmm_test.pl
  493. EXTRA_DIST = \
  494. make_gmm_test.pl\
  495. gmm_torture01_lusolve.cc\
  496. gmm_torture02_baseop.cc\
  497. gmm_torture05_mult.cc\
  498. gmm_torture06_mat_mult.cc\
  499. gmm_torture10_qr.cc\
  500. gmm_torture15_sub.cc\
  501. gmm_torture20_iterative_solvers.cc
  502. CLEANFILES = toto.mat ii_files/* auto_gmm*
  503. LOG_COMPILER = perl
  504. all: all-am
  505. .SUFFIXES:
  506. .SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
  507. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  508. @for dep in $?; do \
  509. case '$(am__configure_deps)' in \
  510. *$$dep*) \
  511. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  512. && { if test -f $@; then exit 0; else break; fi; }; \
  513. exit 1;; \
  514. esac; \
  515. done; \
  516. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
  517. $(am__cd) $(top_srcdir) && \
  518. $(AUTOMAKE) --gnu tests/Makefile
  519. .PRECIOUS: Makefile
  520. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  521. @case '$?' in \
  522. *config.status*) \
  523. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  524. *) \
  525. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  526. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  527. esac;
  528. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  529. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  530. $(top_srcdir)/configure: $(am__configure_deps)
  531. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  532. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  533. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  534. $(am__aclocal_m4_deps):
  535. clean-checkPROGRAMS:
  536. @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
  537. echo " rm -f" $$list; \
  538. rm -f $$list || exit $$?; \
  539. test -n "$(EXEEXT)" || exit 0; \
  540. list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  541. echo " rm -f" $$list; \
  542. rm -f $$list
  543. dummy$(EXEEXT): $(dummy_OBJECTS) $(dummy_DEPENDENCIES) $(EXTRA_dummy_DEPENDENCIES)
  544. @rm -f dummy$(EXEEXT)
  545. $(AM_V_CXXLD)$(CXXLINK) $(dummy_OBJECTS) $(dummy_LDADD) $(LIBS)
  546. mostlyclean-compile:
  547. -rm -f *.$(OBJEXT)
  548. distclean-compile:
  549. -rm -f *.tab.c
  550. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dummy.Po@am__quote@
  551. .cc.o:
  552. @am__fastdepCXX_TRUE@ $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  553. @am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  554. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  555. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  556. @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
  557. .cc.obj:
  558. @am__fastdepCXX_TRUE@ $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  559. @am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  560. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  561. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  562. @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  563. .cc.lo:
  564. @am__fastdepCXX_TRUE@ $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  565. @am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  566. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  567. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  568. @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
  569. mostlyclean-libtool:
  570. -rm -f *.lo
  571. clean-libtool:
  572. -rm -rf .libs _libs
  573. ID: $(am__tagged_files)
  574. $(am__define_uniq_tagged_files); mkid -fID $$unique
  575. tags: tags-am
  576. TAGS: tags
  577. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  578. set x; \
  579. here=`pwd`; \
  580. $(am__define_uniq_tagged_files); \
  581. shift; \
  582. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  583. test -n "$$unique" || unique=$$empty_fix; \
  584. if test $$# -gt 0; then \
  585. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  586. "$$@" $$unique; \
  587. else \
  588. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  589. $$unique; \
  590. fi; \
  591. fi
  592. ctags: ctags-am
  593. CTAGS: ctags
  594. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  595. $(am__define_uniq_tagged_files); \
  596. test -z "$(CTAGS_ARGS)$$unique" \
  597. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  598. $$unique
  599. GTAGS:
  600. here=`$(am__cd) $(top_builddir) && pwd` \
  601. && $(am__cd) $(top_srcdir) \
  602. && gtags -i $(GTAGS_ARGS) "$$here"
  603. cscopelist: cscopelist-am
  604. cscopelist-am: $(am__tagged_files)
  605. list='$(am__tagged_files)'; \
  606. case "$(srcdir)" in \
  607. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  608. *) sdir=$(subdir)/$(srcdir) ;; \
  609. esac; \
  610. for i in $$list; do \
  611. if test -f "$$i"; then \
  612. echo "$(subdir)/$$i"; \
  613. else \
  614. echo "$$sdir/$$i"; \
  615. fi; \
  616. done >> $(top_builddir)/cscope.files
  617. distclean-tags:
  618. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  619. # Recover from deleted '.trs' file; this should ensure that
  620. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  621. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  622. # to avoid problems with "make -n".
  623. .log.trs:
  624. rm -f $< $@
  625. $(MAKE) $(AM_MAKEFLAGS) $<
  626. # Leading 'am--fnord' is there to ensure the list of targets does not
  627. # expand to empty, as could happen e.g. with make check TESTS=''.
  628. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  629. am--force-recheck:
  630. @:
  631. $(TEST_SUITE_LOG): $(TEST_LOGS)
  632. @$(am__set_TESTS_bases); \
  633. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  634. redo_bases=`for i in $$bases; do \
  635. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  636. done`; \
  637. if test -n "$$redo_bases"; then \
  638. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  639. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  640. if $(am__make_dryrun); then :; else \
  641. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  642. fi; \
  643. fi; \
  644. if test -n "$$am__remaking_logs"; then \
  645. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  646. "recursion detected" >&2; \
  647. else \
  648. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  649. fi; \
  650. if $(am__make_dryrun); then :; else \
  651. st=0; \
  652. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  653. for i in $$redo_bases; do \
  654. test -f $$i.trs && test -r $$i.trs \
  655. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  656. test -f $$i.log && test -r $$i.log \
  657. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  658. done; \
  659. test $$st -eq 0 || exit 1; \
  660. fi
  661. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  662. ws='[ ]'; \
  663. results=`for b in $$bases; do echo $$b.trs; done`; \
  664. test -n "$$results" || results=/dev/null; \
  665. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  666. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  667. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  668. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  669. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  670. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  671. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  672. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  673. success=true; \
  674. else \
  675. success=false; \
  676. fi; \
  677. br='==================='; br=$$br$$br$$br$$br; \
  678. result_count () \
  679. { \
  680. if test x"$$1" = x"--maybe-color"; then \
  681. maybe_colorize=yes; \
  682. elif test x"$$1" = x"--no-color"; then \
  683. maybe_colorize=no; \
  684. else \
  685. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  686. fi; \
  687. shift; \
  688. desc=$$1 count=$$2; \
  689. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  690. color_start=$$3 color_end=$$std; \
  691. else \
  692. color_start= color_end=; \
  693. fi; \
  694. echo "$${color_start}# $$desc $$count$${color_end}"; \
  695. }; \
  696. create_testsuite_report () \
  697. { \
  698. result_count $$1 "TOTAL:" $$all "$$brg"; \
  699. result_count $$1 "PASS: " $$pass "$$grn"; \
  700. result_count $$1 "SKIP: " $$skip "$$blu"; \
  701. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  702. result_count $$1 "FAIL: " $$fail "$$red"; \
  703. result_count $$1 "XPASS:" $$xpass "$$red"; \
  704. result_count $$1 "ERROR:" $$error "$$mgn"; \
  705. }; \
  706. { \
  707. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  708. $(am__rst_title); \
  709. create_testsuite_report --no-color; \
  710. echo; \
  711. echo ".. contents:: :depth: 2"; \
  712. echo; \
  713. for b in $$bases; do echo $$b; done \
  714. | $(am__create_global_log); \
  715. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  716. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  717. if $$success; then \
  718. col="$$grn"; \
  719. else \
  720. col="$$red"; \
  721. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  722. fi; \
  723. echo "$${col}$$br$${std}"; \
  724. echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
  725. echo "$${col}$$br$${std}"; \
  726. create_testsuite_report --maybe-color; \
  727. echo "$$col$$br$$std"; \
  728. if $$success; then :; else \
  729. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  730. if test -n "$(PACKAGE_BUGREPORT)"; then \
  731. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  732. fi; \
  733. echo "$$col$$br$$std"; \
  734. fi; \
  735. $$success || exit 1
  736. check-TESTS:
  737. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  738. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  739. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  740. @set +e; $(am__set_TESTS_bases); \
  741. log_list=`for i in $$bases; do echo $$i.log; done`; \
  742. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  743. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  744. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  745. exit $$?;
  746. recheck: all $(check_PROGRAMS)
  747. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  748. @set +e; $(am__set_TESTS_bases); \
  749. bases=`for i in $$bases; do echo $$i; done \
  750. | $(am__list_recheck_tests)` || exit 1; \
  751. log_list=`for i in $$bases; do echo $$i.log; done`; \
  752. log_list=`echo $$log_list`; \
  753. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  754. am__force_recheck=am--force-recheck \
  755. TEST_LOGS="$$log_list"; \
  756. exit $$?
  757. make_gmm_test.pl.log: make_gmm_test.pl
  758. @p='make_gmm_test.pl'; \
  759. b='make_gmm_test.pl'; \
  760. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  761. --log-file $$b.log --trs-file $$b.trs \
  762. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  763. "$$tst" $(AM_TESTS_FD_REDIRECT)
  764. .test.log:
  765. @p='$<'; \
  766. $(am__set_b); \
  767. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  768. --log-file $$b.log --trs-file $$b.trs \
  769. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  770. "$$tst" $(AM_TESTS_FD_REDIRECT)
  771. @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  772. @am__EXEEXT_TRUE@ @p='$<'; \
  773. @am__EXEEXT_TRUE@ $(am__set_b); \
  774. @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  775. @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
  776. @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  777. @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
  778. distdir: $(DISTFILES)
  779. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  780. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  781. list='$(DISTFILES)'; \
  782. dist_files=`for file in $$list; do echo $$file; done | \
  783. sed -e "s|^$$srcdirstrip/||;t" \
  784. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  785. case $$dist_files in \
  786. */*) $(MKDIR_P) `echo "$$dist_files" | \
  787. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  788. sort -u` ;; \
  789. esac; \
  790. for file in $$dist_files; do \
  791. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  792. if test -d $$d/$$file; then \
  793. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  794. if test -d "$(distdir)/$$file"; then \
  795. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  796. fi; \
  797. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  798. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  799. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  800. fi; \
  801. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  802. else \
  803. test -f "$(distdir)/$$file" \
  804. || cp -p $$d/$$file "$(distdir)/$$file" \
  805. || exit 1; \
  806. fi; \
  807. done
  808. check-am: all-am
  809. $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
  810. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  811. check: check-am
  812. all-am: Makefile
  813. installdirs:
  814. install: install-am
  815. install-exec: install-exec-am
  816. install-data: install-data-am
  817. uninstall: uninstall-am
  818. install-am: all-am
  819. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  820. installcheck: installcheck-am
  821. install-strip:
  822. if test -z '$(STRIP)'; then \
  823. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  824. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  825. install; \
  826. else \
  827. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  828. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  829. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  830. fi
  831. mostlyclean-generic:
  832. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  833. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  834. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  835. clean-generic:
  836. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  837. distclean-generic:
  838. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  839. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  840. maintainer-clean-generic:
  841. @echo "This command is intended for maintainers to use"
  842. @echo "it deletes files that may require special tools to rebuild."
  843. clean: clean-am
  844. clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
  845. mostlyclean-am
  846. distclean: distclean-am
  847. -rm -rf ./$(DEPDIR)
  848. -rm -f Makefile
  849. distclean-am: clean-am distclean-compile distclean-generic \
  850. distclean-tags
  851. dvi: dvi-am
  852. dvi-am:
  853. html: html-am
  854. html-am:
  855. info: info-am
  856. info-am:
  857. install-data-am:
  858. install-dvi: install-dvi-am
  859. install-dvi-am:
  860. install-exec-am:
  861. install-html: install-html-am
  862. install-html-am:
  863. install-info: install-info-am
  864. install-info-am:
  865. install-man:
  866. install-pdf: install-pdf-am
  867. install-pdf-am:
  868. install-ps: install-ps-am
  869. install-ps-am:
  870. installcheck-am:
  871. maintainer-clean: maintainer-clean-am
  872. -rm -rf ./$(DEPDIR)
  873. -rm -f Makefile
  874. maintainer-clean-am: distclean-am maintainer-clean-generic
  875. mostlyclean: mostlyclean-am
  876. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  877. mostlyclean-libtool
  878. pdf: pdf-am
  879. pdf-am:
  880. ps: ps-am
  881. ps-am:
  882. uninstall-am:
  883. .MAKE: check-am install-am install-strip
  884. .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
  885. clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
  886. ctags ctags-am distclean distclean-compile distclean-generic \
  887. distclean-libtool distclean-tags distdir dvi dvi-am html \
  888. html-am info info-am install install-am install-data \
  889. install-data-am install-dvi install-dvi-am install-exec \
  890. install-exec-am install-html install-html-am install-info \
  891. install-info-am install-man install-pdf install-pdf-am \
  892. install-ps install-ps-am install-strip installcheck \
  893. installcheck-am installdirs maintainer-clean \
  894. maintainer-clean-generic mostlyclean mostlyclean-compile \
  895. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  896. recheck tags tags-am uninstall uninstall-am
  897. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  898. # Otherwise a system limit (for SysV at least) may be exceeded.
  899. .NOEXPORT: